/*  ti_link - link program for TI calculators
 *  Copyright (C) 1999, 2000  Romain Lievin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GCALLLIST_H
#define GCALLLIST_H

#include <gtk/gtk.h>

void clist_button_press(GtkWidget *widget, GdkEventButton *event);
void clist_select_row( GtkWidget      *clist,
		       gint           row,
		       gint           column,
		       GdkEventButton *event,
		       gpointer       data );

void clist_unselect_row( GtkWidget      *clist,
			 gint           row,
			 gint           column,
			 GdkEventButton *event,
			 gpointer       data );

void clist_click_column( GtkWidget      *clist,
			 gint           column,
			 gpointer       data );

#endif
