/*  gtktilink - link program for TI calculators
 *  Copyright (C) 1999, 2000  Romain Lievin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef MSGBOX_H
#define MSGBOX_H

/* Simple message box */
void msg_box(const char *title, char *message);

/* Interactive message box */
gint user1_box(const char *title, char *message, 
	       const char *b1);
gint user2_box(const char *title, char *message, 
	       const char *b1, const char *b2);
gint user3_box(const char *title, char *message, 
	       const char *b1, const char *b2, const char *b3);

/* Entry dialog box */
char *dlgbox_entry(const char *title, const char *message, 
		   const char * content);

#endif




