/*  gtktilink - link program for TI calculators
 *  Copyright (C) 1999, 2000  Romain Lievin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef DEFINES_H
#define DEFINES_H

#ifdef HAVE_UNISTD_H
#include <unistd.h>
#else
#include "unistd.h"
#endif

#include "../dep/dep.h"
#include "../misc/misc.h"
#include "../convert/convxx.h"
#include "../plugins/rw_xx_file.h"
#include "../plugins/plugin_interface.h"
#include "../link_box/ghc_dbox.h"
#include "../indep/indep.h"


#include "gcallfsel.h"
#include "gdlgbox.h"
#include "gterm.h"
#include "gcalllist.h"
#include "gpbar.h"
#include "gstruct.h"
#include "gcallbutt.h"
#include "gcallmenu.h"  
#include "ginfo.h"    
#include "gtoolbar.h"  
#include "gcalldbox.h"  
#include "gcalltool.h"  
#include "glist.h"    
#include "gscreen.h"   
#include "gtree.h"
#include "gcallent.h"   
#include "gcalltree.h"  
#include "gmenus.h"   
#include "gselect.h"
#include "gplugins.h"
#include "fargo2.h" //for sly
#include "gxpm.h"
#include "gpakfile.h"

#endif

