/*  ti_link - link program for TI calculators
 *  Copyright (C) 1999, 2000  Romain Lievin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef TYPEDEFS_H
#define TYPEDEFS_H

#define MAXCHARS 256

#include <sys/types.h>

/*************************/
/* Some type definitions */
/*************************/
typedef unsigned char  byte;      /* One byte */
typedef unsigned short word;      /* Two bytes */
/* Under linux, sizeof(int)=4 but under Win32, sizeof(int)=2 -> longint */
#ifdef WIN32
typedef unsigned long longword;
typedef unsigned int uint;
#else
typedef unsigned int longword;
#endif

// Some types for Windows9x
#ifdef WIN32
typedef int uid_t;
typedef int gid_t;
typedef int mode_t;
#endif

#endif




